usbip: missing packages

Post Reply
mh-g
Posts: 18
Joined: Wed Sep 27, 2017 3:01 am
languages_spoken: english,german
Has thanked: 0
Been thanked: 1 time
Contact:

usbip: missing packages

Post by mh-g »

I plan to use an Odroid C2 with Ubuntu 20.04.2 as an USB forwarder using the usbip package. It installs fine, but when I try to start the usbipd daemon, the following error appears:

Code: Select all

mh-g@hwr-server:~$ sudo usbipd -D
WARNING: usbipd not found for kernel 3.16.85

  You may need to install the following packages for this specific kernel:
    linux-tools-3.16.85-65
    linux-cloud-tools-3.16.85-65

  You may also want to install one of the following packages to keep up to date:
    linux-tools-65
    linux-cloud-tools-65
mh-g@hwr-server:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 20.04.2 LTS
Release:        20.04
Codename:       focal
mh-g@hwr-server:~$ uname -a
Linux hwr-server 3.16.85-65 #1 SMP PREEMPT Mon Jan 18 13:32:38 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux
mh-g@hwr-server:~$ sudo apt-get install linux-tools
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package linux-tools is a virtual package provided by:
  linux-tools-virtual-hwe-20.04-edge 5.8.0.48.54~20.04.32
  linux-tools-virtual-hwe-20.04 5.8.0.48.54~20.04.32
  linux-tools-virtual 5.4.0.70.73                                                                                          
  linux-tools-generic-hwe-20.04-edge 5.8.0.48.54~20.04.32                                                                  
  linux-tools-generic-hwe-20.04 5.8.0.48.54~20.04.32                                                                       
  linux-tools-generic-64k-hwe-20.04-edge 5.8.0.48.54~20.04.32                                                              
  linux-tools-generic-64k-hwe-20.04 5.8.0.48.54~20.04.32                                                                   
  linux-tools-generic 5.4.0.70.73                                                                                          
  linux-tools-aws 5.4.0.1041.42                                                                                            
You should explicitly select one to install.

E: Package 'linux-tools' has no installation candidate
For some reason the kernel expected by usbip (3.16.85) does not match the kernel version of the linux-tools packages in Ubuntu 20.04.2 (5.8 / 5.4).

User avatar
odroid
Site Admin
Posts: 37403
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean
ODROIDs: ODROID
Has thanked: 1797 times
Been thanked: 1143 times
Contact:

Re: usbip: missing packages

Post by odroid »

Since C2 stock kernel is very outdated, Canonical's linux-tools package is not compatible.
We have no experience of building a customized linux-package either.

Try Armbian Focal image if you don't need any VPU/GPU hardware acceleration feature.
https://www.armbian.com/odroid-c2/

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 4 guests